Fix cycles backwards compatibility for specular_toon shader this actually needs
authorBrecht Van Lommel <brechtvanlommel@pandora.be>
Mon, 10 Jun 2013 20:10:03 +0000 (20:10 +0000)
committerBrecht Van Lommel <brechtvanlommel@pandora.be>
Mon, 10 Jun 2013 20:10:03 +0000 (20:10 +0000)
commitd16a608f6d5cfdb45c0a72aaa7c5cbc0ebe19928
treedd1df886d084d678d04373c20a5f7edded0bb8cf
parent6322f017835f86e96b8e082f66595debd9de1da9
Fix cycles backwards compatibility for specular_toon shader this actually needs
to be done in cycles itself to keep compatibility for bytecode too.

Also fix broken button to compile OSL from the text editors, this got broken after
recent change to disable editing of library linked nodes.
intern/cycles/kernel/osl/osl_closures.cpp
intern/cycles/kernel/shaders/stdosl.h
source/blender/editors/space_node/node_edit.c